From: "Gilles Dartiguelongue" <eva@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: media-sound/gnome-music/
Date: Sun, 3 May 2015 21:56:03 +0000 (UTC) [thread overview]
Message-ID: <1430690090.f46288404048c1abae9459633fa8c93bee8d9eb7.eva@gentoo> (raw)
commit: f46288404048c1abae9459633fa8c93bee8d9eb7
Author: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sun May 3 21:30:55 2015 +0000
Commit: Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sun May 3 21:54:50 2015 +0000
URL: https://gitweb.gentoo.org/proj/gnome.git/commit/?id=f4628840
media-sound/gnome-music: 3.14.3.1 → 3.16.1
media-sound/gnome-music/gnome-music-3.16.1.ebuild | 60 +++++++++++++++++++++++
1 file changed, 60 insertions(+)
diff --git a/media-sound/gnome-music/gnome-music-3.16.1.ebuild b/media-sound/gnome-music/gnome-music-3.16.1.ebuild
new file mode 100644
index 0000000..b2f22fc
--- /dev/null
+++ b/media-sound/gnome-music/gnome-music-3.16.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+GCONF_DEBUG="no"
+PYTHON_COMPAT=( python{3_3,3_4} )
+
+inherit gnome2 python-single-r1
+
+DESCRIPTION="Music management for Gnome"
+HOMEPAGE="http://wiki.gnome.org/Apps/Music"
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE=""
+# Let people emerge this by default, bug #472932
+IUSE+=" +python_single_target_python3_3 python_single_target_python3_4"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+KEYWORDS="~amd64 ~x86"
+
+COMMON_DEPEND="
+ ${PYTHON_DEPS}
+ >=dev-libs/glib-2.28:2
+ >=dev-libs/gobject-introspection-1.35.9
+ >=media-libs/grilo-0.2.6:0.2[introspection]
+ media-libs/libmediaart:2.0
+ >=x11-libs/gtk+-3.13.2:3[introspection]
+"
+# xdg-user-dirs-update needs to be there to create needed dirs
+# https://bugzilla.gnome.org/show_bug.cgi?id=731613
+RDEPEND="${COMMON_DEPEND}
+ app-misc/tracker[introspection(+)]
+ || (
+ app-misc/tracker[gstreamer]
+ app-misc/tracker[ffmpeg]
+ )
+ dev-python/pygobject:3[cairo,${PYTHON_USEDEP}]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ media-libs/gstreamer:1.0[introspection]
+ media-libs/gst-plugins-base:1.0[introspection]
+ media-plugins/gst-plugins-meta:1.0
+ media-plugins/grilo-plugins:0.2[tracker]
+ x11-misc/xdg-user-dirs
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-util/intltool-0.26
+ virtual/pkgconfig
+"
+
+src_configure() {
+ gnome2_src_configure ITSTOOL="$(type -P true)"
+}
+
+src_install() {
+ gnome2_src_install
+ python_fix_shebang "${ED}"
+}
next reply other threads:[~2015-05-03 21:56 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-05-03 21:56 Gilles Dartiguelongue [this message]
-- strict thread matches above, loose matches on Subject: below --
2019-03-22 10:07 [gentoo-commits] proj/gnome:master commit in: media-sound/gnome-music/ Mart Raudsepp
2019-02-23 20:37 Mart Raudsepp
2018-12-17 12:14 Gilles Dartiguelongue
2018-04-29 12:48 Sobhan Mohammadpour
2018-01-12 14:15 Dennis Lamm
2016-04-08 20:47 Ole Reifschneider
2015-06-10 10:37 Gilles Dartiguelongue
2014-12-22 23:50 Gilles Dartiguelongue
2014-11-23 19:37 Gilles Dartiguelongue
2014-11-03 23:24 Gilles Dartiguelongue
2014-10-05 22:09 Gilles Dartiguelongue
2014-04-21 22:31 Gilles Dartiguelongue
2014-04-06 16:08 Gilles Dartiguelongue
2013-12-01 19:18 Gilles Dartiguelongue
2013-12-01 17:19 Gilles Dartiguelongue
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1430690090.f46288404048c1abae9459633fa8c93bee8d9eb7.eva@gentoo \
--to=eva@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox